<?php
#######################################
# ATUALIZA CAMPO SEO_LINK
#######################################
include "../topo-ajax.php";

// produto
$sqlp = "SELECT p.id, lower(p.nome) produto, lower(c.nome) categoria
		 FROM   rz2_produto p,
		 		rz2_produto_categoria pc,
		 		rz2_categoria c
		 WHERE  p.id = pc.id_produto
		 AND    pc.id_categoria = c.id
		 AND    pc.id_categoria != ".CATEGORIA_HOME;
$rsp = $db->query($sqlp);
while($rgp = $rsp->fetchRow()){
	$seoCategoria = UtilObjeto::trataNomeUrl($rgp['categoria']);
	$seoProduto = UtilObjeto::trataNomeUrl($rgp['produto']);
	$seoLink = $seoCategoria.'/'.$seoProduto;
	$upp = "UPDATE rz2_produto SET seo_link = '".$seoLink."' WHERE id = ".$rgp['id'];
	$db->query($upp);
}

// categoria
$sqlc = "SELECT id, lower(nome) nome FROM rz2_categoria";
$rsc = $db->query($sqlc);
while($rgc = $rsc->fetchRow()){
	$seoLink = UtilObjeto::trataNomeUrl($rgc['nome']);
	$upc = "UPDATE rz2_categoria SET seo_link = '".$seoLink."' WHERE id = ".$rgc['id'];
	$db->query($upc);
}
?>